Package org.silverpeas.components.suggestionbox.notification

# Class AbstractSuggestionUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification<Suggestion>
org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `AbstractSuggestionActionUserNotification`, `SuggestionBoxSubscriptionUserNotification`, `SuggestionNotifyManuallyUserNotification`

public abstract class AbstractSuggestionUserNotification extends AbstractSuggestionBoxUserNotification<Suggestion>

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractSuggestionUserNotification(Suggestion resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.notification.user.client.constant.NotifAction`
  `getAction()`
  `protected String`
  `getComponentInstanceId()`
  `protected final String`
  `getSender()`
  `protected org.silverpeas.core.admin.user.model.User`
  `getSenderDetail()`
  `protected void`
  `performNotificationResource(String language, Suggestion resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)`
  `protected void`
  `performTemplateData(String language, Suggestion resource, org.silverpeas.core.template.SilverpeasTemplate template)`
  `protected boolean`
  `stopWhenNoUserToNotify()`

  ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification

  `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderName, getSuggestionBoxModerators, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSuggestionUserNotification

    protected AbstractSuggestionUserNotification(Suggestion resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)

- ## Method Details

  - ### performTemplateData

    protected void performTemplateData(String language, Suggestion resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Specified by:
      `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

  - ### performNotificationResource

    protected void performNotificationResource(String language, Suggestion resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)
    Specified by:
      `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

  - ### stopWhenNoUserToNotify

    protected boolean stopWhenNoUserToNotify()
    Overrides:
      `stopWhenNoUserToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getAction

    protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()
    Specified by:
      `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getComponentInstanceId

    protected String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getSenderDetail

    protected org.silverpeas.core.admin.user.model.User getSenderDetail()
    Specified by:
      `getSenderDetail` in class `AbstractSuggestionBoxUserNotification<Suggestion>`

  - ### getSender

    protected final String getSender()
    Specified by:
      `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`